%--------------------------------------------------------------------------
% File     : GEO002-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry (Tarskian)
% Axioms   : Substitution axioms for reflection axiom
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Tarski A. (1959), What is Elementary Geometry?, 
%            In Henkin L. (Ed), Proceedings of an International Symposium: 
%            The axiomatic method with special reference to geometry and 
%            physics, (University of California, Berkeley, 1957),a 
%            (Studies in logic and the foundations of mathematics, Volume 
%            ??), North-Holland, The Netherlands.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    2 (   0 non-Horn;   0 unit;   0 RR)
%            Number of literals   :    4 (   4 equality)
%            Maximal clause size  :    2
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :    6 (   0 singleton)
%            Maximal term depth   :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(reflection_substitution1,axiom,
    [--equal(X,Y),
     ++equal(reflection(X,Z),reflection(Y,Z))]).

input_clause(reflection_substitution2,axiom,
    [--equal(A1,B1),
     ++equal(reflection(C1,A1),reflection(C1,B1))]).
%--------------------------------------------------------------------------
