%--------------------------------------------------------------------------
% File     : SYN094-1.SIZE : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Plaisted problem u(t(3,SIZE))
% Version  : Special.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : U(T3n) [Plaisted, 1994]

% Status   : STATUS
% Rating   : ? v2.0.0
% Syntax   : 

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in SYN087-1.
%--------------------------------------------------------------------------
%----Include Plaisted problem t(3,SIZE)
:-tptp2X_include('Generators/SYN090-1.g').
%----Include Plaisted problem u(t(2,SIZE))
:-tptp2X_include('Generators/SYN093-1.g').
%--------------------------------------------------------------------------
'SYN094-1'(Size,Clauses,unsatisfiable):-
    integer(Size),
    'SYN090-1'(Size,SClauses,_),
    'SYN093-1_u_transform'(SClauses,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN094-1 generator
'SYN094-1_file_information'(generator,sizes(X,(X>=1)),sota(5)).
%--------------------------------------------------------------------------
