%--------------------------------------------------------------------------
% File     : BOO009-4 : TPTP v2.0.0. Released v1.1.0.
% Domain   : Boolean Algebra
% Problem  : Multiplication absorption (X * (X + Y) = X)
% Version  : [Veroff, 1994] (equality) axioms.
% English  : 

% Refs     : Veroff R. (1994), Problem Set, AAR Newsletter 24, 8.
% Source   : [Veroff, 1994]
% Names    : TC [Veroff, 1994]

% Status   : unsatisfiable
% Rating   : 0.38 v2.0.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  10 unit;   4 RR)
%            Number of literals   :   25 (  25 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   34 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_operation,conjecture,
    [--equal(multiply(a,add(a,b)),a)]).
%--------------------------------------------------------------------------
