%--------------------------------------------------------------------------
% File     : FLD010-5 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : In the multiplicative group it holds: inverse(identity)=identity
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational variant with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   27 (   3 non-Horn;   4 unit;  27 RR)
%            Number of literals   :   78 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(not_sum_1,conjecture,
    [--sum(additive_identity,multiplicative_identity,additive_identity)]).

input_clause(not_sum_2,conjecture,
    [--sum(additive_identity,multiplicative_inverse(multiplicative_identity),
multiplicative_identity)]).
%--------------------------------------------------------------------------
