%--------------------------------------------------------------------------
% File     : FLD014-3 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of additive inverses with the equality, part 1
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   29 (   3 non-Horn;   6 unit;  29 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(sum_3,conjecture,
    [++sum(additive_identity,a,b)]).

input_clause(not_sum_4,conjecture,
    [--sum(additive_identity,additive_inverse(a),additive_inverse(b))]).
%--------------------------------------------------------------------------
