%--------------------------------------------------------------------------
% File     : FLD047-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 1
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   37 (   3 non-Horn;  14 unit;  37 RR)
%            Number of literals   :   88 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(not_sum_7,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_8,conjecture,
    [--sum(additive_identity,c,additive_identity)]).

input_clause(product_9,conjecture,
    [++product(a,multiplicative_inverse(b),u)]).

input_clause(product_10,conjecture,
    [++product(a,c,s)]).

input_clause(product_11,conjecture,
    [++product(b,c,t)]).

input_clause(not_product_12,conjecture,
    [--product(s,multiplicative_inverse(t),u)]).
%--------------------------------------------------------------------------
