%--------------------------------------------------------------------------
% File     : FLD048-3 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 2 
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   9 unit;  32 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(not_sum_5,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,d,additive_identity)]).

input_clause(not_product_7,conjecture,
    [--product(multiply(a,multiplicative_inverse(b)),multiply(c,
multiplicative_inverse(d)),multiply(multiply(a,c),
multiplicative_inverse(multiply(b,d))))]).
%--------------------------------------------------------------------------
