%--------------------------------------------------------------------------
% File     : FLD050-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 4
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   38 (   3 non-Horn;  14 unit;  38 RR)
%            Number of literals   :   84 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(b_not_equal_to_additive_identity_7,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_8,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(multiply_equals_s_9,conjecture,
    [++equalish(multiply(a,multiplicative_inverse(b)),s)]).

input_clause(multiply_equals_k_10,conjecture,
    [++equalish(multiply(a,d),k)]).

input_clause(multiply_equals_k_11,conjecture,
    [++equalish(multiply(b,c),k)]).

input_clause(multiply_not_equal_to_s_12,conjecture,
    [--equalish(multiply(c,multiplicative_inverse(d)),s)]).
%--------------------------------------------------------------------------
