%--------------------------------------------------------------------------
% File     : FLD051-1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 5
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(b_not_equal_to_additive_identity_5,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(c_not_equal_to_additive_identity_6,conjecture,
    [--equalish(c,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_7,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(multiply_not_equal_to_multiply_8,conjecture,
    [--equalish(multiply(multiply(a,multiplicative_inverse(b)),
multiplicative_inverse(multiply(c,multiplicative_inverse(d)))),
multiply(multiply(a,d),multiplicative_inverse(multiply(b,c))))]).
%--------------------------------------------------------------------------
