%--------------------------------------------------------------------------
% File     : FLD053-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 7
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   47 (   3 non-Horn;  23 unit;  47 RR)
%            Number of literals   :   93 (   0 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   17 (  13 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(l_is_defined,conjecture,
    [++defined(l)]).

input_clause(p_is_defined,conjecture,
    [++defined(p)]).

input_clause(q_is_defined,conjecture,
    [++defined(q)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(b_not_equal_to_additive_identity_12,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_13,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(multiply_equals_s_14,conjecture,
    [++equalish(multiply(a,multiplicative_inverse(b)),s)]).

input_clause(multiply_equals_t_15,conjecture,
    [++equalish(multiply(c,multiplicative_inverse(d)),t)]).

input_clause(add_equals_u_16,conjecture,
    [++equalish(add(s,additive_inverse(t)),u)]).

input_clause(multiply_equals_p_17,conjecture,
    [++equalish(multiply(a,d),p)]).

input_clause(multiply_equals_q_18,conjecture,
    [++equalish(multiply(b,c),q)]).

input_clause(add_equals_k_19,conjecture,
    [++equalish(add(p,additive_inverse(q)),k)]).

input_clause(multiply_equals_l_20,conjecture,
    [++equalish(multiply(b,d),l)]).

input_clause(multiply_not_equal_to_u_21,conjecture,
    [--equalish(multiply(k,multiplicative_inverse(l)),u)]).
%--------------------------------------------------------------------------
