%--------------------------------------------------------------------------
% File     : FLD060-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If b greater or equal b, then 2b greater or equal 2a
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   33 (   3 non-Horn;  10 unit;  33 RR)
%            Number of literals   :   84 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(a,b)]).

input_clause(sum_6,conjecture,
    [++sum(a,a,u)]).

input_clause(sum_7,conjecture,
    [++sum(b,b,v)]).

input_clause(not_less_or_equal_8,conjecture,
    [--less_or_equal(u,v)]).
%--------------------------------------------------------------------------
