%--------------------------------------------------------------------------
% File     : FLD088-3 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of order and multiplicative inverses, part 2
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   29 (   3 non-Horn;   6 unit;  29 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(not_sum_2,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(less_or_equal_3,conjecture,
    [++less_or_equal(a,additive_identity)]).

input_clause(not_less_or_equal_4,conjecture,
    [--less_or_equal(multiplicative_inverse(a),additive_identity)]).
%--------------------------------------------------------------------------
