%--------------------------------------------------------------------------
% File     : FLD090-3 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : A characterization of 1 with help of the order relation
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   28 (   3 non-Horn;   4 unit;  28 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   75 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(m_is_defined,conjecture,
    [++defined(m)]).

input_clause(less_or_equal_or_not_product_2,conjecture,
    [++less_or_equal(Y,X),
     --product(m,X,Y)]).

input_clause(not_sum_3,conjecture,
    [--sum(additive_identity,m,multiplicative_identity)]).
%--------------------------------------------------------------------------
