%--------------------------------------------------------------------------
% File     : FLD092-1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : One-sided Elimination of a multiplicative inverse, part 2
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   30 (   3 non-Horn;   6 unit;  30 RR)
%            Number of literals   :   76 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(a_not_equal_to_additive_identity_2,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(less_or_equal_3,conjecture,
    [++less_or_equal(a,additive_inverse(multiplicative_identity))]).

input_clause(not_less_or_equal_4,conjecture,
    [--less_or_equal(additive_inverse(multiplicative_identity),
multiplicative_inverse(a))]).
%--------------------------------------------------------------------------
