%--------------------------------------------------------------------------
% File     : FLD098-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   41 (   3 non-Horn;  17 unit;  41 RR)
%            Number of literals   :   87 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   13 (   9 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(w_is_defined,conjecture,
    [++defined(w)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_9,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(add_equals_u_10,conjecture,
    [++equalish(add(multiplicative_identity,additive_inverse(a)),u)]).

input_clause(add_equals_v_11,conjecture,
    [++equalish(add(multiplicative_identity,additive_inverse(b)),v)]).

input_clause(multiply_equals_w_12,conjecture,
    [++equalish(multiply(u,v),w)]).

input_clause(add_equals_s_13,conjecture,
    [++equalish(add(a,b),s)]).

input_clause(add_equals_t_14,conjecture,
    [++equalish(add(multiplicative_identity,additive_inverse(s)),t)]).

input_clause(not_less_or_equal_15,conjecture,
    [--less_or_equal(t,w)]).
%--------------------------------------------------------------------------
