%--------------------------------------------------------------------------
% File     : FLD099-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  11 unit;  35 RR)
%            Number of literals   :   81 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(a,multiplicative_identity)]).

input_clause(a_not_equal_to_multiplicative_identity_6,conjecture,
    [--equalish(a,multiplicative_identity)]).

input_clause(add_equals_u_7,conjecture,
    [++equalish(add(multiplicative_identity,a),u)]).

input_clause(add_equals_v_8,conjecture,
    [++equalish(add(multiplicative_identity,additive_inverse(a)),v)]).

input_clause(not_less_or_equal_9,conjecture,
    [--less_or_equal(u,multiplicative_inverse(v))]).
%--------------------------------------------------------------------------
