%--------------------------------------------------------------------------
% File     : FLD099-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  11 unit;  34 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(a,multiplicative_identity)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,a,multiplicative_identity)]).

input_clause(sum_7,conjecture,
    [++sum(multiplicative_identity,a,u)]).

input_clause(sum_8,conjecture,
    [++sum(multiplicative_identity,additive_inverse(a),v)]).

input_clause(not_less_or_equal_9,conjecture,
    [--less_or_equal(u,multiplicative_inverse(v))]).
%--------------------------------------------------------------------------
