%--------------------------------------------------------------------------
% File     : GEO048-2 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Inner points of triangle
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.78 v2.0.0
% Syntax   : Number of clauses    :   58 (   5 non-Horn;  12 unit;  29 RR)
%            Number of literals   :  138 (  70 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   14 (   9 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(v1_between_u1_and_w,hypothesis,
    [++between(u1,v1,w)]).

input_clause(x_between_u_and_u1,hypothesis,
    [++between(u,x,u1)]).

input_clause(prove_conclusion1,conjecture,
    [--between(x,inner_pasch(v1,inner_pasch(u,x,u1,v1,w),u,v,w),w)]).

input_clause(prove_conclusion2,conjecture,
    [--between(v,inner_pasch(v1,inner_pasch(u,x,u1,v1,w),u,v,w),v1)]).
%--------------------------------------------------------------------------
