%--------------------------------------------------------------------------
% File     : KRS004-1 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 1d
% Version  : Special.
% English  : c exists.

% Refs     : Paramasivam M., Plaisted D. (1995), Automated Deduction 
%            Techniques for Classification in Concept Languages, Unpublished.
% Source   : [Paramasivam & Plaisted, 1995]
% Names    : Problem 1(d) [Paramasivam & Plaisted, 1995]

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   1 unit;   4 RR)
%            Number of literals   :    7 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :    1 (   1 constant; 0-0 arity)
%            Number of variables  :    3 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++c(exist)]).

input_clause(clause_2,axiom,
    [++d(X1),
     --c(X1)]).

input_clause(clause_3,axiom,
    [--c(X1),
     --d(X1)]).

input_clause(clause_4,axiom,
    [--d(X1),
     --c(X1)]).
%--------------------------------------------------------------------------
