%--------------------------------------------------------------------------
% File     : KRS005-1 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 2a
% Version  : Special.
% English  : Inconsistent concept definition; e exists.

% Refs     : Paramasivam M., Plaisted D. (1995), Automated Deduction 
%            Techniques for Classification in Concept Languages, Unpublished.
% Source   : [Paramasivam & Plaisted, 1995]
% Names    : Problem 2(a) [Paramasivam & Plaisted, 1995]

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :    8 (   2 non-Horn;   1 unit;   8 RR)
%            Number of literals   :   24 (   0 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++e(exist)]).

input_clause(clause_2,axiom,
    [++equalish(X5,u0r4(X1)),
     --e(X1),
     --r(X1,X5)]).

input_clause(clause_3,axiom,
    [++r(X1,u0r4(X1)),
     --e(X1)]).

input_clause(clause_4,axiom,
    [--e(X1),
     --equalish(u0r3(X1),u0r2(X1))]).

input_clause(clause_5,axiom,
    [++r(X1,u0r2(X1)),
     --e(X1)]).

input_clause(clause_6,axiom,
    [++r(X1,u0r3(X1)),
     --e(X1)]).

input_clause(clause_7,axiom,
    [++e(X1),
     ++equalish(X3,X2),
     --r(X1,X3),
     --r(X1,X2),
     --r(X1,X4),
     --equalish(u0r1(X4,X1),X4)]).

input_clause(clause_8,axiom,
    [++e(X1),
     ++equalish(X3,X2),
     ++r(X1,u0r1(X4,X1)),
     --r(X1,X3),
     --r(X1,X2),
     --r(X1,X4)]).
%--------------------------------------------------------------------------
