%--------------------------------------------------------------------------
% File     : RNG023-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Left alternative
% Version  : [Stevens, 1987] (equality) axioms.
%            Theorem formulation : In terms of associators
% English  : 

% Refs     : Stevens R.L. (1987), Some Experiments in Nonassociative Ring 
%            Theory with an Automated Theorem Prover, In Journal 
%            of Automated Reasoning 3(2), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 211-221.
%          : Stevens R.L. (1992), Unpublished notes.
% Source   : [Stevens, 1992]
% Names    : - [Stevens, 1987]

% Status   : unsatisfiable
% Rating   : 0.13 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   42 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   3 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_left_alternative,conjecture,
    [--equal(associator(x,x,y),additive_identity)]).
%--------------------------------------------------------------------------
