%--------------------------------------------------------------------------
% File     : SET024-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : A set belongs to its singleton
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  95 RR)
%            Number of literals   :  334 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   39 (   9 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_set_in_its_singleton_1,conjecture,
    [++member(x,universal_class)]).

input_clause(prove_set_in_its_singleton_2,conjecture,
    [--member(x,singleton(x))]).
%--------------------------------------------------------------------------
