%--------------------------------------------------------------------------
% File     : SET050-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to Unordered pair axiom
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.11 v2.0.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  95 RR)
%            Number of literals   :  334 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   42 (  12 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992]. Described as "corollaries 
%            to instantiate variables" in Quaife's collection.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_1_to_unordered_pair_1,conjecture,
    [++member(ordered_pair(x,y),cross_product(u,v))]).

input_clause(prove_corollary_1_to_unordered_pair_2,conjecture,
    [--member(x,unordered_pair(x,y))]).
%--------------------------------------------------------------------------
