%--------------------------------------------------------------------------
% File     : SET068-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Proper class in an unordered pair, part 2
% Version  : [Quaife, 1992] axioms.
% English  : If one argument of an unordered pair is a proper class, the 
%            pair contains only the other.

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.89 v2.0.0
% Syntax   : Number of clauses    :  160 (   8 non-Horn;  31 unit;  94 RR)
%            Number of literals   :  333 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_singleton_in_unordered_pair2_1,conjecture,
    [--subclass(singleton(y),unordered_pair(x,y))]).
%--------------------------------------------------------------------------
