%--------------------------------------------------------------------------
% File     : SET109-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : 1st is the ordered pair, first condition
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  95 RR)
%            Number of literals   :  334 ( 161 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   39 (   9 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_existence_of_1st_and_2nd_2_1,conjecture,
    [--member(ordered_pair(first(x),second(x)),cross_product(
universal_class,universal_class))]).

input_clause(prove_existence_of_1st_and_2nd_2_2,conjecture,
    [--equal(first(x),x)]).
%--------------------------------------------------------------------------
