%--------------------------------------------------------------------------
% File     : SET118-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary 2 to every ordered pair being a set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  95 RR)
%            Number of literals   :  334 ( 160 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   39 (   9 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Quaife, 1992]. Theorem OP9 part 2 in Quaife's 
%            collection.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_2_to_ordered_pairs_are_sets_1,conjecture,
    [++member(x,cross_product(universal_class,universal_class))]).

input_clause(prove_corollary_2_to_ordered_pairs_are_sets_2,conjecture,
    [--member(x,universal_class)]).
%--------------------------------------------------------------------------
