%--------------------------------------------------------------------------
% File     : SYN046-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 15
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Pelletier F.J. (1988), Errata, Journal of Automated
%            Reasoning 4(2), 235-236.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 15 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   3 RR)
%            Number of literals   :    4 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    2 (   2 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : This problem is incorrect in [Pelletier, 1986] and is
%            corrected in [Pelletier, 1988].
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p,++q]).

input_clause(clause_2,conjecture,
    [++p]).

input_clause(clause_3,conjecture,
    [--q]).
%--------------------------------------------------------------------------
