%--------------------------------------------------------------------------
% File     : SYN061+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 31
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 31 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :    9 (   0 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    7 (   2 ~  ;   1  |;   3  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    4 (   0 singleton;   1 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel31_1,axiom,(
    ~ ( ? [X] : 
          ( big_f(X)
          & ( big_g(X)
            | big_h(X) ) ) )   )).

input_formula(pel31_2,axiom,(
    ? [X] : 
      ( big_i(X)
      & big_f(X) )   )).

input_formula(pel31_3,axiom,(
    ! [X] : 
      ( ~ big_h(X)
     => big_j(X) )   )).

input_formula(pel31,conjecture,(
    ? [X] : 
      ( big_i(X)
      & big_j(X) )   )).
%--------------------------------------------------------------------------
