%--------------------------------------------------------------------------
% File     : SYN063-2 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 33
% Version  : Special.
%            Theorem formulation : Different clausification.
% English  : 

% Refs     : Kalish D., Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   3 RR)
%            Number of literals   :    4 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : This is a monadic predicate formulation of Pelletier 17.
%          : Created using the TPTP clausifier.
%--------------------------------------------------------------------------
input_clause(pel33_1,conjecture,
    [++big_p(c),
     --big_p(a)]).

input_clause(pel33_2,conjecture,
    [++big_p(a)]).

input_clause(pel33_3,conjecture,
    [--big_p(c)]).
%--------------------------------------------------------------------------
