%--------------------------------------------------------------------------
% File     : SYN064+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 35
% Version  : Special.
% English  :

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing
%            Automatic Theorem Provers, Journal of Automated Reasoning
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 35 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    2 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    1 (   0 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    4 (   4 singleton;   2 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel35,conjecture,(
    ? [X,Y] : 
      ( big_p(X,Y)
     => ! [Z,W] : big_p(Z,W) )   )).
%--------------------------------------------------------------------------
