%--------------------------------------------------------------------------
% File     : SYN073+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 50
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 50 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    3 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    2 (   0 ~  ;   1  |;   0  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :    4 (   3 singleton;   3 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel50,conjecture,(
    ! [X] : 
      ( big_f(a,X)
      | ! [Y] : big_f(X,Y) )
 => ? [X1] : 
    ! [Y1] : big_f(X1,Y1)   )).
%--------------------------------------------------------------------------
