%--------------------------------------------------------------------------
% File     : SYN081-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 59
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 59 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   1 non-Horn;   0 unit;   2 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :    3 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_f(f(X))]).

input_clause(clause_2,axiom,
    [++big_f(f(X)),
     ++big_f(X)]).

input_clause(prove_this,conjecture,
    [--big_f(X),
     ++big_f(f(X))]).
%--------------------------------------------------------------------------
