%--------------------------------------------------------------------------
% File     : SYN089-1.002 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Plaisted problem t(2,2)
% Version  : Special.
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : T2n [Plaisted, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   5 unit;  13 RR)
%            Number of literals   :   25 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    6 (   6 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%          : tptp2X: -ftptp -s2 SYN089-1.g 
% Bugfixes : v1.2.0 - Bugfix in SYN086-1.
%          : v1.2.1 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
input_clause(s2_goal_1,conjecture,
    [--p_1_2]).

input_clause(s2_type11_1,axiom,
    [++p_1_2,--p_2_2,--p_1_1]).

input_clause(s2_type11_2,axiom,
    [++p_1_2,--q_2_2,--q_1_1]).

input_clause(s2_type12_1,axiom,
    [++q_1_2,--p_2_2,--q_1_1]).

input_clause(s2_type12_2,axiom,
    [++q_1_2,--q_2_2,--p_1_1]).

input_clause(s2_type21_1,axiom,
    [++p_1_1,--p_1_2]).

input_clause(s2_type21_2,axiom,
    [++q_1_1,--q_1_2]).

input_clause(s2_type22_1,axiom,
    [++p_2_2,--p_1_2]).

input_clause(s2_type22_2,axiom,
    [++q_2_2,--q_1_2]).

input_clause(t2_1,axiom,
    [++p_1_1]).

input_clause(t2_2,axiom,
    [++q_1_1]).

input_clause(t2_3,axiom,
    [++p_2_2]).

input_clause(t2_4,axiom,
    [++q_2_2]).
%--------------------------------------------------------------------------
