%--------------------------------------------------------------------------
% File     : SYN303-1 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  : 

% Refs     : Bourely C., Caferra R., Peltier N. (1994), A Method for
%            Building Models Automatically. Experiments with an extension
%            of Otter, In Bundy A. (Ed), Proceedings of the 12th
%            International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 814),
%            Springer-Verlag, New York, USA, 72-86.
% Source   : [Bourely, et al., 1984]
% Names    : Example 1 [Bourely, et al., 1984]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :    8 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - clause4 corrected
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(X,X)]).

input_clause(clause2,conjecture,
    [--p(X,Y),
     ++p(Y,X)]).

input_clause(clause3,conjecture,
    [++p(X,Y),
     --p(f(X),f(Y))]).

input_clause(clause4,conjecture,
    [--p(X,Y),
     ++p(f(X),f(Y))]).

input_clause(clause5,conjecture,
    [--p(a,f(X))]).
%--------------------------------------------------------------------------
