%--------------------------------------------------------------------------
% File     : SYN308-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : EXAMPLE 4.11 [Fermueller, et al., 1993]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   3 non-Horn;   1 unit;   0 RR)
%            Number of literals   :    9 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   3 constant; 0-3 arity)
%            Number of variables  :   13 (   9 singleton)
%            Maximal term depth   :    4 (   2 average)

% Comments : This set belngs to the class E+ [Fermueller, et al., 1993, 
%            p. 82].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(f(f(a)),gf(c,gf(Y,X))),
     ++p(U,f(U))]).

input_clause(clause2,conjecture,
    [--p(f(h(X,Y,Z)),Z),
     ++g(b),
     ++g(V),
     --g(U)]).

input_clause(clause3,conjecture,
    [++e(gf(h(Z,X,Y),f(b)))]).

input_clause(clause4,conjecture,
    [++r(gf(V,gf(V,U)),gf(U,V)),
     ++r(f(b),gf(f(f(a)),gf(U,V)))]).
%--------------------------------------------------------------------------
