%--------------------------------------------------------------------------
% File     : SYN315-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.2 (1)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch2N1 [Tammet, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   1 non-Horn;   0 unit;   2 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :    4 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--f(X),
     ++p(a)]).

input_clause(clause2,conjecture,
    [--p(a),
     ++f(X)]).

input_clause(clause3,conjecture,
    [--f(y(X)),
     --p(a)]).

input_clause(clause4,conjecture,
    [++p(a),
     ++f(y(X))]).
%--------------------------------------------------------------------------
