%--------------------------------------------------------------------------
% File     : SYN322+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.4 (1)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.4 (1) [Church, 1956]

% Status   : satisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    5 (   2 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   0 singleton;   2 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_4_1,conjecture,(
    ? [Y] : 
      ( ! [X] : 
          ( big_f(X,Y)
         => big_f(Y,X) )
     => ~ ( ! [X] : 
              ( big_f(X,Y)
             => ~ big_f(Y,X) ) ) )   )).
%--------------------------------------------------------------------------
