%--------------------------------------------------------------------------
% File     : SYN334+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (6)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.14 (6) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    8 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    7 (   0 ~  ;   0  |;   0  &)
%                                         (   3 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   0 singleton;   1 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_14_6,conjecture,(
    ? [X,Y] : 
    ! [Z] : 
      ( ( big_f(X,Y)
       => ( big_f(X,Z)
        <=> big_g(Y,Z) ) )
     => ( ( big_f(X,Y)
        <=> ( big_f(Z,Z)
           => big_g(Z,Z) ) )
       => ( big_g(X,Y)
        <=> big_g(Z,Z) ) ) )   )).
%--------------------------------------------------------------------------
