%--------------------------------------------------------------------------
% File     : SYN343+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (2)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.16 (2) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    5 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    4 (   0 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    4 (   2 singleton;   1 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : Not sure how X is supposed to be quantified, because the
%            quantifier is missing in [Church, 1956].
%--------------------------------------------------------------------------
input_formula(church_46_16_2,conjecture,(
    ? [X,Y1,Y2] : 
    ! [Z] : 
      ( ( ( big_f(X,Y1)
         => big_f(Z,X) )
       => big_f(X,X) )
     => ( big_f(X,X)
        & big_f(Y1,Y2) ) )   )).
%--------------------------------------------------------------------------
