%--------------------------------------------------------------------------
% File     : SYN345+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (4)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.16 (4) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   12 (   0 equality)
%            Maximal formula depth :    9 (   9 average)
%            Number of connectives :   11 (   0 ~  ;   0  |;   1  &)
%                                         (   1 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   0 singleton;   3 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_16_4,conjecture,(
    ! [X1,X2] : 
    ? [Y1,Y2] : 
    ! [Z] : 
      ( ( ( big_f(X1,X2,Y1)
         => big_f(Y2,Y1,Z) )
       => ( big_f(X1,X1,X2)
         => big_f(X1,X2,X2) ) )
     => ( ( ( big_f(X2,Y1,Y2)
           => big_f(Y1,Z,Z) )
         => ( big_f(X1,X2,X2)
           => big_f(X1,X1,X2) ) )
       => ( big_f(Y1,Y2,Z)
         => ( big_f(X2,X2,Y1)
            & ( big_f(X1,X1,X2)
            <=> big_f(X1,X2,X2) ) ) ) ) )   )).
%--------------------------------------------------------------------------
