%--------------------------------------------------------------------------
% File     : SYN359+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2110
% Version  : Special.
% English  : 

% Refs     : Andrews P.B. (1986), An Introduction to Mathematical Logic and
%            Type Theory: To Truth Through Proof, Academic Press.
%          : Andrews P.B. (1994), Email to Geoff Sutcliffe.
% Source   : [Andrews, 1994]
% Names    : X2110 [Andrews, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    7 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    6 (   0 ~  ;   0  |;   3  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   1 singleton;   3 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2110,conjecture,(
    ( ( ? [X] : big_r(X)
      & ! [Y] : 
          ( big_r(Y)
         => ? [Z] : big_q(Y,Z) ) )
    & ! [X,Y] : 
        ( big_q(X,Y)
       => big_q(X,X) ) )
 => ? [X,Y] : 
      ( big_q(X,Y)
      & big_r(Y) )   )).
%--------------------------------------------------------------------------
