%--------------------------------------------------------------------------
% File     : SYN365+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2116
% Version  : Special.
% English  : 

% Refs     : Andrews P.B. (1986), An Introduction to Mathematical Logic and
%            Type Theory: To Truth Through Proof, Academic Press.
%          : Andrews P.B. (1994), Email to Geoff Sutcliffe.
% Source   : [Andrews, 1994]
% Names    : X2116 [Andrews, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    9 (   0 equality)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    8 (   0 ~  ;   0  |;   4  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :    3 (   0 singleton;   3 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2116,conjecture,(
    ( ! [X] : 
      ? [Y] : 
        ( big_p(X)
       => ( big_r(X,g(h(Y)))
          & big_p(Y) ) )
    & ! [W] : 
        ( big_p(W)
       => ( big_p(g(W))
          & big_p(h(W)) ) ) )
 => ! [X] : 
      ( big_p(X)
     => ? [Y] : 
          ( big_r(X,Y)
          & big_p(Y) ) )   )).
%--------------------------------------------------------------------------
