%--------------------------------------------------------------------------
% File     : SYN369+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2120
% Version  : Special.
% English  : 

% Refs     : Andrews P.B. (1986), An Introduction to Mathematical Logic and
%            Type Theory: To Truth Through Proof, Academic Press.
%          : Andrews P.B. (1994), Email to Geoff Sutcliffe.
% Source   : [Andrews, 1994]
% Names    : X2120 [Andrews, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    3 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    2 (   0 ~  ;   1  |;   0  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   4 singleton;   4 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2120,conjecture,(
    ! [U,V,W] : 
      ( big_p(U,V)
      | big_p(V,W) )
 => ? [X] : 
    ! [Y] : big_p(X,Y)   )).
%--------------------------------------------------------------------------
