%--------------------------------------------------------------------------
% File     : SYN376+1 : TPTP v2.0.0. Bugfixed v2.0.1.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2127
% Version  : Special.
% English  : 

% Refs     : Andrews P.B. (1986), An Introduction to Mathematical Logic and
%            Type Theory: To Truth Through Proof, Academic Press.
%          : Andrews P.B. (1994), Email to Geoff Sutcliffe.
% Source   : [Andrews, 1994]
% Names    : X2127 [Andrews, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    4 (   1 ~  ;   1  |;   0  &)
%                                         (   1 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   1 singleton;   3 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
% Bugfixes : v2.0.1 - Formula x2127 fixed.
%--------------------------------------------------------------------------
input_formula(x2127,conjecture,(
    ? [X] : 
    ! [Y] : 
      ( big_p(Y)
    <=> big_p(X) )
 => ( ! [X] : big_p(X)
    | ! [X] : ~ big_p(X) )   )).
%--------------------------------------------------------------------------
