%--------------------------------------------------------------------------
% File     : SYN407+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Kalish and Montague Problem 241
% Version  : Special.
% English  : Laws of alphabetic variance.

% Refs     : Kalish D., Montague R. (1964), Logic Techniques of Formal 
%            Reasoning, Harcourt, Brace & World Publisher.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe
% Source   : [Haehnle, 1994]
% Names    : kalish241 [Haehnle, 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    7 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    6 (   0 ~  ;   2  |;   1  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   0 singleton;   2 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(kalish241,conjecture,(
    ! [X] : 
      ( f(X)
     => ( g(X)
        | h(X) ) )
 => ( ! [Y] : 
        ( f(Y)
       => g(Y) )
    | ? [Z] : 
        ( f(Z)
        & h(Z) ) )   )).
%--------------------------------------------------------------------------
