%--------------------------------------------------------------------------
% File     : CAT013-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : domain(codomain(x)) = codomain(x)
% Version  : [Mitchell, 1967] axioms.
% English  : 

% Refs     : Mitchell B. (1967), Theory of categories, (Pure and Applied 
%            Mathematics, Volume 17), Academic Press.
% Source   : [ANL]
% Names    : p13.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   32 (   0 non-Horn;   8 unit;  23 RR)
%            Number of literals   :   78 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   88 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_domain_of_codomain_is_codomain,conjecture,
    [--equal(domain(codomain(a)),codomain(a))]).
%--------------------------------------------------------------------------
