%--------------------------------------------------------------------------
% File     : CAT017-4 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If x exists, then codomain(x) exists
% Version  : [Scott, 1979] axioms : Reduced > Complete.
% English  : 

% Refs     : Scott D. (1979), Identity & Existence in Intuitionist Logic, 
%            In Fournam M.P. (Ed), Durham Proceedings Applications 
%            of Sheaves, (Lecture Notes in Mathematics Volume 753), 
%            660-696.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;   6 unit;  17 RR)
%            Number of literals   :   46 (  24 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   43 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_a_exists,hypothesis,
    [++there_exists(a)]).

input_clause(prove_codomain_of_a_exists,conjecture,
    [--there_exists(codomain(a))]).
%--------------------------------------------------------------------------
