%--------------------------------------------------------------------------
% File     : COL079-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst(Abst(Abst X)) = Abst X
% Version  : [Jech, 1994] (equality) axioms.
% English  : 

% Refs     : Jech T. (1994), Otter Experiments in a System of Combinatory 
%            Logic, Unpublished.
% Source   : [Jech, 1994]
% Names    : Proposition 2a [Jech, 1994]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   1 non-Horn;  10 unit;   6 RR)
%            Number of literals   :   33 (  33 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   44 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms of Type-respecting combinators 
include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_TRC2a,conjecture,
    [--equal(apply(abstraction,apply(abstraction,apply(abstraction,b))),
apply(abstraction,b))]).
%--------------------------------------------------------------------------
