%--------------------------------------------------------------------------
% File     : FLD025-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The resulting equation of a multiplication of two equations
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   37 (   3 non-Horn;  13 unit;  37 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(a_equals_b_7,conjecture,
    [++equalish(a,b)]).

input_clause(c_equals_d_8,conjecture,
    [++equalish(c,d)]).

input_clause(multiply_equals_u_9,conjecture,
    [++equalish(multiply(a,c),u)]).

input_clause(multiply_equals_v_10,conjecture,
    [++equalish(multiply(d,b),v)]).

input_clause(v_not_equal_to_u_11,conjecture,
    [--equalish(v,u)]).
%--------------------------------------------------------------------------
