%--------------------------------------------------------------------------
% File     : FLD051-2 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 5
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   44 (   3 non-Horn;  20 unit;  44 RR)
%            Number of literals   :   90 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   15 (  11 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(l_is_defined,conjecture,
    [++defined(l)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(b_not_equal_to_additive_identity_10,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(c_not_equal_to_additive_identity_11,conjecture,
    [--equalish(c,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_12,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(multiply_equals_u_13,conjecture,
    [++equalish(multiply(s,multiplicative_inverse(t)),u)]).

input_clause(multiply_equals_s_14,conjecture,
    [++equalish(multiply(a,multiplicative_inverse(b)),s)]).

input_clause(multiply_equals_t_15,conjecture,
    [++equalish(multiply(c,multiplicative_inverse(d)),t)]).

input_clause(multiply_equals_k_16,conjecture,
    [++equalish(multiply(a,d),k)]).

input_clause(multiply_equals_l_17,conjecture,
    [++equalish(multiply(b,c),l)]).

input_clause(multiply_not_equal_to_u_18,conjecture,
    [--equalish(multiply(k,multiplicative_inverse(l)),u)]).
%--------------------------------------------------------------------------
