%--------------------------------------------------------------------------
% File     : FLD051-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 5
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   43 (   3 non-Horn;  20 unit;  43 RR)
%            Number of literals   :   94 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   15 (  11 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(l_is_defined,conjecture,
    [++defined(l)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(not_sum_10,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_11,conjecture,
    [--sum(additive_identity,c,additive_identity)]).

input_clause(not_sum_12,conjecture,
    [--sum(additive_identity,d,additive_identity)]).

input_clause(product_13,conjecture,
    [++product(s,multiplicative_inverse(t),u)]).

input_clause(product_14,conjecture,
    [++product(a,multiplicative_inverse(b),s)]).

input_clause(product_15,conjecture,
    [++product(c,multiplicative_inverse(d),t)]).

input_clause(product_16,conjecture,
    [++product(a,d,k)]).

input_clause(product_17,conjecture,
    [++product(b,c,l)]).

input_clause(not_product_18,conjecture,
    [--product(k,multiplicative_inverse(l),u)]).
%--------------------------------------------------------------------------
