%--------------------------------------------------------------------------
% File     : FLD052-4 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 6
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   47 (   3 non-Horn;  24 unit;  47 RR)
%            Number of literals   :   98 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (  14 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(k_is_defined,conjecture,
    [++defined(k)]).

input_clause(l_is_defined,conjecture,
    [++defined(l)]).

input_clause(p_is_defined,conjecture,
    [++defined(p)]).

input_clause(q_is_defined,conjecture,
    [++defined(q)]).

input_clause(s_is_defined,conjecture,
    [++defined(s)]).

input_clause(t_is_defined,conjecture,
    [++defined(t)]).

input_clause(not_sum_13,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_14,conjecture,
    [--sum(additive_identity,d,additive_identity)]).

input_clause(product_15,conjecture,
    [++product(a,multiplicative_inverse(b),s)]).

input_clause(product_16,conjecture,
    [++product(c,multiplicative_inverse(d),t)]).

input_clause(sum_17,conjecture,
    [++sum(s,t,u)]).

input_clause(product_18,conjecture,
    [++product(a,d,p)]).

input_clause(product_19,conjecture,
    [++product(b,c,q)]).

input_clause(sum_20,conjecture,
    [++sum(p,q,k)]).

input_clause(product_21,conjecture,
    [++product(b,d,l)]).

input_clause(not_product_22,conjecture,
    [--product(k,multiplicative_inverse(l),u)]).
%--------------------------------------------------------------------------
