%--------------------------------------------------------------------------
% File     : FLD096-1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Difficult inequality
% Version  : [Draeger, 1993] axioms : Special.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : Draeger J. (1993), Anwendung des Theorembeweisers SETHEO auf
%            angeordnete Koerper, Technical Report FKI-186-93, Technische
%            Universitaet Muenchen, Munich, Germany
% Source   : [Draeger, 1993]
% Names    :

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   36 (   3 non-Horn;  12 unit;  36 RR)
%            Number of literals   :   82 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(b_not_equal_to_additive_identity_5,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(d_not_equal_to_additive_identity_6,conjecture,
    [--equalish(d,additive_identity)]).

input_clause(less_or_equal_7,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(additive_identity,d)]).

input_clause(less_or_equal_9,conjecture,
    [++less_or_equal(multiply(a,multiplicative_inverse(b)),multiply(c,
multiplicative_inverse(d)))]).

input_clause(not_less_or_equal_10,conjecture,
    [--less_or_equal(multiply(add(a,c),multiplicative_inverse(add(b,d))),
multiply(c,multiplicative_inverse(d)))]).
%--------------------------------------------------------------------------
