%--------------------------------------------------------------------------
% File     : KRS003-1 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 1c
% Version  : Special.
% English  : e and f exist.

% Refs     : Paramasivam M., Plaisted D. (1995), Automated Deduction 
%            Techniques for Classification in Concept Languages, Unpublished.
% Source   : [Paramasivam & Plaisted, 1995]
% Names    : Problem 1(c) [Paramasivam & Plaisted, 1995]

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   16 (   3 non-Horn;   2 unit;  14 RR)
%            Number of literals   :   34 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   1 constant; 0-1 arity)
%            Number of variables  :   18 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++e(exist)]).

input_clause(clause_2,conjecture,
    [++f(exist)]).

input_clause(clause_3,axiom,
    [++s2least(X1),
     --c(X1)]).

input_clause(clause_4,axiom,
    [++c(X1),
     --s2least(X1)]).

input_clause(clause_5,axiom,
    [--s2least(X1),
     --equalish(u1r2(X1),u1r1(X1))]).

input_clause(clause_6,axiom,
    [++s(X1,u1r1(X1)),
     --s2least(X1)]).

input_clause(clause_7,axiom,
    [++s(X1,u1r2(X1)),
     --s2least(X1)]).

input_clause(clause_8,axiom,
    [++s2least(X1),
     ++equalish(X3,X2),
     --s(X1,X3),
     --s(X1,X2)]).

input_clause(clause_9,axiom,
    [++s1most(X1),
     --d(X1)]).

input_clause(clause_10,axiom,
    [++d(X1),
     --s1most(X1)]).

input_clause(clause_11,axiom,
    [++equalish(X3,X2),
     --s1most(X1),
     --s(X1,X3),
     --s(X1,X2)]).

input_clause(clause_12,axiom,
    [++s1most(X1),
     --equalish(u3r2(X1),u3r1(X1))]).

input_clause(clause_13,axiom,
    [++s1most(X1),
     ++s(X1,u3r1(X1))]).

input_clause(clause_14,axiom,
    [++s1most(X1),
     ++s(X1,u3r2(X1))]).

input_clause(clause_15,axiom,
    [++c(X1),
     --e(X1)]).

input_clause(clause_16,axiom,
    [++d(X1),
     --f(X1)]).
%--------------------------------------------------------------------------
