%--------------------------------------------------------------------------
% File     : KRS012-1 : TPTP v1.3.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 4a
% Version  : Special.
% English  : f subsumes c.

% Refs     : Paramasivam M., Plaisted D. (1995), Automated Deduction 
%            Techniques for Classification in Concept Languages, Unpublished.
% Source   : [Paramasivam & Plaisted, 1995]
% Names    : Problem 4(a) [Paramasivam & Plaisted, 1995]

% Status   : unknown
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :   13 (   6 non-Horn;   2 unit;  10 RR)
%            Number of literals   :   34 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    5 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   1 constant; 0-1 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++c(exists)]).

input_clause(clause_2,conjecture,
    [--f(exists)]).

input_clause(clause_3,axiom,
    [++e(X3),
     --c(X1),
     --r(X1,X3),
     --d(X3)]).

input_clause(clause_4,axiom,
    [++d(X2),
     --c(X1),
     --r(X1,X2)]).

input_clause(clause_5,axiom,
    [++c(X1),
     --d(u0r1(X1)),
     --e(u0r2(X1))]).

input_clause(clause_6,axiom,
    [++c(X1),
     ++d(u0r2(X1)),
     --d(u0r1(X1))]).

input_clause(clause_7,axiom,
    [++c(X1),
     ++r(X1,u0r2(X1)),
     --d(u0r1(X1))]).

input_clause(clause_8,axiom,
    [++c(X1),
     ++r(X1,u0r1(X1)),
     --e(u0r2(X1))]).

input_clause(clause_9,axiom,
    [++c(X1),
     ++r(X1,u0r1(X1)),
     ++d(u0r2(X1))]).

input_clause(clause_10,axiom,
    [++c(X1),
     ++r(X1,u0r1(X1)),
     ++r(X1,u0r2(X1))]).

input_clause(clause_11,axiom,
    [++e(X2),
     --f(X1),
     --r(X1,X2)]).

input_clause(clause_12,axiom,
    [++f(X1),
     --e(u1r1(X1))]).

input_clause(clause_13,axiom,
    [++f(X1),
     ++r(X1,u1r1(X1))]).
%--------------------------------------------------------------------------
