%--------------------------------------------------------------------------
% File     : LCL203-1 : TPTP v2.0.0. Released v1.1.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 2.49
% Version  : [Whitehead & Russell, 1927] axioms.
% English  : 

% Refs     : Whitehead A.N., Russell B. (1927), Principia Mathematica, 
%            Volume 1, 2nd Edition, Cambridge United Press, Cambridge, 
%            England.
%          : Newell A., Shaw J.C., Simon H.A. (1963), Empirical 
%            Explorations with the Logic Theory Machine: A Case Study 
%            in Heuristics, In Feigenbaum E., Feldman J. (Eds), Computers 
%            and Thought, McGraw-Hill, New York, USA, 109-133.
%          : O'Rorke P. (1989), LT Revisited: Experimental-Based Learning 
%            and the Logic of Principia Mathematica, Machine Learning 
%            4(2), Kluwer Academic Publishers, 117-159.
%          : Segre A.M., Elkan C. (1994), A High Performance 
%            Explanation-Based Learning Algorithm, Artificial Intelligence 
%            (69), 1-50.
% Source   : [Segre & Elkan, 1994]
% Names    : Problem 2.49 [Whitehead & Russell, 1927]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   14 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   17 (   1 singleton)
%            Maximal term depth   :    5 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of propositional logic 
include('Axioms/LCL003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this,conjecture,
    [--theorem(or(not(not(or(p,q))),or(not(p),not(q))))]).
%--------------------------------------------------------------------------
