%--------------------------------------------------------------------------
% File     : LCL230+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 2.85
% Version  : Special.
% English  : Judged by [Siklossy, et al., 1973] to be the 'hardest' of the
%            first 67 theorems of [Whitehead & Russell, 1927].

% Refs     : Whitehead A.N. and Russell B. (1927), Principia Mathematica,
%            Volume 1, 2nd Edition, Cambridge United Press, Cambridge,
%            England.
%          : Siklossy L., Rich A., Marinov V. (1973), Breadth First
%            Search: Some Surprising Results, Artificial Intelligence
%            4, 1-27.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 5 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    7 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    6 (   0 ~  ;   3  |;   0  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   3 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel5,conjecture,(
    ( ( p
      | q )
   => ( p
      | r ) )
 => ( p
    | ( q
     => r ) )   )).
%--------------------------------------------------------------------------
