%--------------------------------------------------------------------------
% File     : MSC005-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Miscellaneous
% Problem  : The evaluation of XOR expressions
% Version  : [Plaisted, 1982] axioms.
% English  : 

% Refs     : Plaisted D.A. (1982), A Simplified Problem Reduction Format, 
%            Artificial Intelligence 18(X), 227-261.
% Source   : [Plaisted, 1982]
% Names    : Problem 5.1 [Plaisted, 1982]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   7 RR)
%            Number of literals   :   15 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :    9 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(true_is_true,axiom,
    [++value(truth,truth)]).

input_clause(false_is_false,axiom,
    [++value(falsity,falsity)]).

input_clause(true_xor_true,axiom,
    [--value(X,truth),
     --value(Y,truth),
     ++value(xor(X,Y),falsity)]).

input_clause(true_xor_false,axiom,
    [--value(X,truth),
     --value(Y,falsity),
     ++value(xor(X,Y),truth)]).

input_clause(false_xor_true,axiom,
    [--value(X,falsity),
     --value(Y,truth),
     ++value(xor(X,Y),truth)]).

input_clause(false_xor_false,axiom,
    [--value(X,falsity),
     --value(Y,falsity),
     ++value(xor(X,Y),falsity)]).

input_clause(evaluate_expression,conjecture,
    [--value(xor(xor(xor(xor(truth,falsity),falsity),truth),falsity),
Value)]).
%--------------------------------------------------------------------------
