%--------------------------------------------------------------------------
% File     : PLA010-1 : TPTP v2.0.0. Released v1.1.0.
% Domain   : Planning (Blocks world)
% Problem  : Block A on D on B
% Version  : [Segre & Elkan, 1994] axioms.
% English  : 

% Refs     : Sussman G.J. (1973), A Computational Model of Skill 
%            Acquisition, Technical Report 297, MIT Artificial 
%            Intelligence Laboratory.
%          : Segre A.M., Elkan C. (1994), A High Performance 
%            Explanation-Based Learning Algorithm, Artificial Intelligence 
%            (69), 1-50.
% Source   : [Segre & Elkan, 1994]
% Names    : - [Segre & Elkan, 1994]

% Status   : unsatisfiable
% Rating   : 0.59 v2.0.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;  20 unit;  28 RR)
%            Number of literals   :   53 (   0 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (   7 constant; 0-2 arity)
%            Number of variables  :   37 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms are a reconstruction of the situation calculus 
%            blocks world as in [Sussman, 1973].
%--------------------------------------------------------------------------
%----Include Blocks world axioms 
include('Axioms/PLA001-0.ax').
%----Include Blocks world difference axioms for 4 blocks 
include('Axioms/PLA001-1.ax').
%--------------------------------------------------------------------------
input_clause(prove_ADB,conjecture,
    [--holds(and(on(a,d),on(d,b)),State)]).
%--------------------------------------------------------------------------
