%--------------------------------------------------------------------------
% File     : SET013-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : The intersection of sets is commutative
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Wang T-C., Bledsoe W.W. (1987), Hierarchical Deduction,
%            Journal of Automated Deduction 3(1), 35-77.
% Source   : [McCharen, et al., 1976]
% Names    : S2 [McCharen, et al., 1976]
%          : EST-S2 [Wang & Bledsoe, 1987]

% Status   : unsatisfiable
% Rating   : 0.62 v2.0.0
% Syntax   : Number of clauses    :   33 (   3 non-Horn;   4 unit;  21 RR)
%            Number of literals   :   72 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   80 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include set axioms 
include('Axioms/SET002-0.ax').
include('Axioms/SET002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_commutativity,conjecture,
    [--equal_sets(intersection(as,bs),intersection(bs,as))]).
%--------------------------------------------------------------------------
