%--------------------------------------------------------------------------
% File     : SET073-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to unordered pair axiom
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : UP6.1 [Quaife, 1992]

% Status   : unsatisfiable
% Rating   : 0.67 v2.0.0
% Syntax   : Number of clauses    :  161 (   8 non-Horn;  32 unit;  95 RR)
%            Number of literals   :  334 ( 161 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  379 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_unordered_pair_axiom1_1,conjecture,
    [++member(x,universal_class)]).

input_clause(prove_corollary_to_unordered_pair_axiom1_2,conjecture,
    [++equal(unordered_pair(x,y),null_class)]).
%--------------------------------------------------------------------------
