%--------------------------------------------------------------------------
% File     : SET091-6 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Member_of(X) is unique if X is not a singleton, part 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  163 (   8 non-Horn;  32 unit;  97 RR)
%            Number of literals   :  338 ( 165 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   41 (   9 constant; 0-3 arity)
%            Number of variables  :  383 (  26 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(member_of1_substitution1,axiom,
    [--equal(C,D),
     ++equal(member_of1(C),member_of1(D))]).

input_clause(prove_member_of_non_singleton_unique1_1,conjecture,
    [--member(member_of1(x),universal_class)]).

input_clause(prove_member_of_non_singleton_unique1_2,conjecture,
    [--equal(member_of(x),x)]).
%--------------------------------------------------------------------------
