%--------------------------------------------------------------------------
% File     : SYN001+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions.
% Version  : Special.
%            Theorem formulation : 1 proposition.
% English  : 2: A biconditional version of the 'most difficult' theorem
%               proved by the new logic theorist.

% Refs     : Newell A. and Simon H. (1972), Human Problem Solving, 
%            Prentice-Hall, Englewood Cliffs, NJ.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 2 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    2 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    3 (   2 ~  ;   0  |;   0  &)
%                                         (   1 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   1 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel2,conjecture,(
    ~ ~ p
<=> p   )).
%--------------------------------------------------------------------------
