%--------------------------------------------------------------------------
% File     : SYN028-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : EW1
% Version  : Special.
% English  : 

% Refs     : Michie D., Ross R., Shannan G.J. (1972), G-deduction, Machine 
%            Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : EW1 [Michie, et al., 1972]
%          : EW1 [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   1 non-Horn;   1 unit;   6 RR)
%            Number of literals   :   12 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    5 (   5 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++q,++p]).

input_clause(clause2,axiom,
    [--q,++r]).

input_clause(clause3,axiom,
    [--r,++s]).

input_clause(clause4,axiom,
    [--s,--r,++t]).

input_clause(clause5,axiom,
    [--t,++p]).

input_clause(prove_something,conjecture,
    [--p]).
%--------------------------------------------------------------------------
