%--------------------------------------------------------------------------
% File     : SYN030-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : EW3
% Version  : Special.
% English  : 

% Refs     : Michie D., Ross R., Shannan G.J. (1972), G-deduction, Machine 
%            Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : EW3 [Michie, et al., 1972]
%          : EW3 [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   1 non-Horn;   0 unit;   9 RR)
%            Number of literals   :   22 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    5 (   5 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [--t,--s,++p]).

input_clause(clause2,axiom,
    [--r,++s]).

input_clause(clause3,axiom,
    [--t,++r]).

input_clause(clause4,axiom,
    [--r,--q,++t]).

input_clause(clause5,axiom,
    [--q,++r]).

input_clause(clause6,axiom,
    [++q,++r]).

input_clause(clause7,axiom,
    [--r,++q]).

input_clause(clause8,axiom,
    [--s,--p,++q]).

input_clause(theorem,conjecture,
    [--p,--q,--r]).
%--------------------------------------------------------------------------
