%--------------------------------------------------------------------------
% File     : SYN031-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : MQW
% Version  : Special.
% English  : 

% Refs     : Michie D., Ross R., Shannan G.J. (1972), G-deduction, Machine 
%            Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : MQW [Michie, et al., 1972]
%          : MQW [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   2 non-Horn;   0 unit;   3 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :    8 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++g(A,a),
     ++g(f(A),A)]).

input_clause(clause2,axiom,
    [++g(A,a),
     ++g(A,f(A))]).

input_clause(clause3,axiom,
    [--g(A,B),
     ++g(f(B),B)]).

input_clause(clause4,axiom,
    [--g(A,B),
     ++g(B,f(B))]).

input_clause(theorem,conjecture,
    [--g(A,B),
     --g(B,a)]).
%--------------------------------------------------------------------------
