%--------------------------------------------------------------------------
% File     : SYN041-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 3, 16
% Version  : Special.
% English  : 3: The hardest theorm proved by a breadth-first logic
%               theorist.
%            16:A surprising theorem of propositional logic.

% Refs     : Siklossy L., Rich A., Marinov V. (1973), Breadth First Search: 
%            Some Surprising Results, Artificial Intelligence 4(X), 1-27.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 3 [Pelletier, 1986]
%          : Pelletier 16 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :    4 (   0 equality)
%            Maximal clause size  :    1 (   1 average)
%            Number of predicates :    2 (   2 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++p]).

input_clause(clause_2,conjecture,
    [--q]).

input_clause(clause_3,conjecture,
    [++q]).

input_clause(clause_4,conjecture,
    [--p]).
%--------------------------------------------------------------------------
