%--------------------------------------------------------------------------
% File     : SYN050-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 20
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 20 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :    9 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    4 (   0 propositional; 1-1 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :    6 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--big_p(Y),
     --big_q(Z),
     ++big_r(f(Y,Z))]).

input_clause(clause_2,conjecture,
    [--big_p(Y),
     --big_q(Z),
     ++big_s(X)]).

input_clause(clause_3,conjecture,
    [++big_p(a)]).

input_clause(clause_4,conjecture,
    [++big_q(b)]).

input_clause(clause_5,conjecture,
    [--big_r(W)]).
%--------------------------------------------------------------------------
