%--------------------------------------------------------------------------
% File     : SYN051-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 21
% Version  : Special.
% English  : A moderately tricky problem, especially for 'natural' systems 
%            with 'strong' restrictions on variables generated from 
%            existential quantifiers.

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 21 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   1 non-Horn;   0 unit;   3 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    2 (   1 propositional; 0-1 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :    2 (   2 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--p,
     ++big_f(a)]).

input_clause(clause_2,axiom,
    [--big_f(b),
     ++p]).

input_clause(clause_3,conjecture,
    [++p,
     ++big_f(X)]).

input_clause(clause_4,conjecture,
    [--big_f(X),
     --p]).
%--------------------------------------------------------------------------
