%--------------------------------------------------------------------------
% File     : SYN052-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 22
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 22 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   1 non-Horn;   0 unit;   2 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    2 (   1 propositional; 0-1 arity)
%            Number of functors   :    1 (   1 constant; 0-0 arity)
%            Number of variables  :    4 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++p,
     --big_f(X)]).

input_clause(clause_2,conjecture,
    [++big_f(X),
     --p]).

input_clause(clause_3,conjecture,
    [++big_f(Y),
     ++p]).

input_clause(clause_4,conjecture,
    [--p,
     --big_f(a)]).

input_clause(clause_5,conjecture,
    [++big_f(Y),
     --big_f(a)]).
%--------------------------------------------------------------------------
