%--------------------------------------------------------------------------
% File     : SYN053-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 23
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 23 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   3 non-Horn;   1 unit;   2 RR)
%            Number of literals   :   12 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   1 propositional; 0-1 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :    4 (   4 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++p,
     ++big_f(X),
     ++big_f(Y)]).

input_clause(clause_2,conjecture,
    [++p,
     ++big_f(X),
     ++big_f(b)]).

input_clause(clause_3,conjecture,
    [--p]).

input_clause(clause_4,conjecture,
    [--big_f(a),
     ++p,
     ++big_f(Y)]).

input_clause(clause_5,conjecture,
    [--big_f(a),
     --big_f(b)]).
%--------------------------------------------------------------------------
