%--------------------------------------------------------------------------
% File     : SYN060+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 30
% Version  : Special.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 30 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    3 (   1 unit)
%            Number of atoms       :    8 (   0 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    7 (   2 ~  ;   1  |;   1  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   1 singleton;   3 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel30_1,axiom,(
    ! [X] : 
      ( ( big_f(X)
        | big_g(X) )
     => ~ big_h(X) )   )).

input_formula(pel30_2,axiom,(
    ! [X] : 
      ( ( big_g(X)
       => ~ big_i(X) )
     => ( big_f(X)
        & big_h(X) ) )   )).

input_formula(pel30,conjecture,(
    ! [X] : big_i(X)   )).
%--------------------------------------------------------------------------
