%--------------------------------------------------------------------------
% File     : SYN061-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 31
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 31 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   1 non-Horn;   2 unit;   5 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    5 (   0 propositional; 1-1 arity)
%            Number of functors   :    1 (   1 constant; 0-0 arity)
%            Number of variables  :    4 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_g(X)]).

input_clause(clause_2,axiom,
    [--big_f(X),
     --big_h(X)]).

input_clause(clause_3,axiom,
    [++big_i(a)]).

input_clause(clause_4,axiom,
    [++big_f(a)]).

input_clause(clause_5,axiom,
    [++big_h(X),
     ++big_j(X)]).

input_clause(clause_6,conjecture,
    [--big_i(X),
     --big_j(X)]).
%--------------------------------------------------------------------------
