%--------------------------------------------------------------------------
% File     : SYN064-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 35
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 35 [Pelletier, 1986]
%          : p35.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of literals   :    2 (   0 equality)
%            Maximal clause size  :    1 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 2-2 arity)
%            Number of variables  :    4 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++big_p(X,Y)]).

input_clause(clause_2,conjecture,
    [--big_p(f(X,Y),g(X,Y))]).
%--------------------------------------------------------------------------
