%--------------------------------------------------------------------------
% File     : SYN070-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 46
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 46 [Pelletier, 1986]
%          : p46.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   4 non-Horn;   2 unit;   9 RR)
%            Number of literals   :   26 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :    3 (   2 constant; 0-1 arity)
%            Number of variables  :    9 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     ++big_f(f(X)),
     ++big_g(X)]).

input_clause(clause_2,axiom,
    [--big_f(X),
     ++big_h(f(X),X),
     ++big_g(X)]).

input_clause(clause_3,axiom,
    [--big_f(X),
     --big_g(f(X)),
     ++big_g(X)]).

input_clause(clause_4,axiom,
    [--big_f(X),
     ++big_g(X),
     ++big_f(a)]).

input_clause(clause_5,axiom,
    [--big_f(X),
     ++big_g(X),
     --big_g(a)]).

input_clause(clause_6,axiom,
    [--big_f(X),
     ++big_g(X),
     --big_f(Y),
     ++big_g(Y),
     ++big_j(a,Y)]).

input_clause(clause_7,axiom,
    [--big_f(X),
     --big_f(Y),
     --big_h(X,Y),
     --big_j(Y,X)]).

input_clause(clause_8,conjecture,
    [++big_f(b)]).

input_clause(clause_9,conjecture,
    [--big_g(b)]).
%--------------------------------------------------------------------------
