%--------------------------------------------------------------------------
% File     : SYN072-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 49
% Version  : Special.
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 49 [Pelletier, 1986]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   1 non-Horn;   5 unit;   7 RR)
%            Number of literals   :   15 (  10 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   5 constant; 0-0 arity)
%            Number of variables  :    9 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(big_p_substitutivity1,axiom,
    [--equal(A,B),
     --big_p(A),
     ++big_p(B)]).

input_clause(clause_1,axiom,
    [++equal(X,c),
     ++equal(X,d)]).

input_clause(clause_2,axiom,
    [++big_p(a)]).

input_clause(clause_3,axiom,
    [++big_p(b)]).

input_clause(clause_4,axiom,
    [--equal(a,b)]).

input_clause(prove_this,conjecture,
    [--big_p(e)]).
%--------------------------------------------------------------------------
