%--------------------------------------------------------------------------
% File     : SYN085-1.010 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Plaisted problem s(1,10)
% Version  : Special.
% English  :

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : S1n [Plaisted, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;  11 unit;  12 RR)
%            Number of literals   :   22 (   0 equality)
%            Maximal clause size  :   11 (   1 average)
%            Number of predicates :   11 (  11 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments :
%          : tptp2X: -ftptp -s10 SYN085-1.g 
%--------------------------------------------------------------------------
input_clause(s1_goal_1,conjecture,
    [--p_0]).

input_clause(s1_1,axiom,
    [++p_0,
     --p_1,
     --p_2,
     --p_3,
     --p_4,
     --p_5,
     --p_6,
     --p_7,
     --p_8,
     --p_9,
     --p_10]).

input_clause(s1_2,axiom,
    [++p_1]).

input_clause(s1_3,axiom,
    [++p_2]).

input_clause(s1_4,axiom,
    [++p_3]).

input_clause(s1_5,axiom,
    [++p_4]).

input_clause(s1_6,axiom,
    [++p_5]).

input_clause(s1_7,axiom,
    [++p_6]).

input_clause(s1_8,axiom,
    [++p_7]).

input_clause(s1_9,axiom,
    [++p_8]).

input_clause(s1_10,axiom,
    [++p_9]).

input_clause(s1_11,axiom,
    [++p_10]).
%--------------------------------------------------------------------------
