%--------------------------------------------------------------------------
% File     : SYN101-1.002:002 : TPTP v2.0.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Plaisted problem n(t(2,2),2)
% Version  : Special
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : N(T2n)) [Plaisted, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;   5 unit;  17 RR)
%            Number of literals   :   37 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-2 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%          : tptp2X: -ftptp -s2:2 SYN101-1.g 
% Bugfixes : v1.2.0 - Bugfix in SYN086-1.
%          : v1.2.1 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
input_clause(n_s2_goal_1,conjecture,
    [--p_1_2(a,a)]).

input_clause(n_s2_type11_1,axiom,
    [++p_1_2(X_1,X_2),
     --p_2_2(X_1,X_2),
     --p_1_1(X_1,X_2)]).

input_clause(n_s2_type11_2,axiom,
    [++p_1_2(X_1,X_2),
     --q_2_2(X_1,X_2),
     --q_1_1(X_1,X_2)]).

input_clause(n_s2_type12_1,axiom,
    [++q_1_2(X_1,X_2),
     --p_2_2(X_1,X_2),
     --q_1_1(X_1,X_2)]).

input_clause(n_s2_type12_2,axiom,
    [++q_1_2(X_1,X_2),
     --q_2_2(X_1,X_2),
     --p_1_1(X_1,X_2)]).

input_clause(n_s2_type21_1,axiom,
    [++p_1_1(X_1,X_2),
     --p_1_2(X_1,X_2)]).

input_clause(n_s2_type21_2,axiom,
    [++q_1_1(X_1,X_2),
     --q_1_2(X_1,X_2)]).

input_clause(n_s2_type22_1,axiom,
    [++p_2_2(X_1,X_2),
     --p_1_2(X_1,X_2)]).

input_clause(n_s2_type22_2,axiom,
    [++q_2_2(X_1,X_2),
     --q_1_2(X_1,X_2)]).

input_clause(n_t2_1,axiom,
    [++p_1_1(X_1,X_2),
     --nq_1(X_1),
     --nq_2(X_2)]).

input_clause(n_t2_2,axiom,
    [++q_1_1(X_1,X_2),
     --nq_1(X_1),
     --nq_2(X_2)]).

input_clause(n_t2_3,axiom,
    [++p_2_2(X_1,X_2),
     --nq_1(X_1),
     --nq_2(X_2)]).

input_clause(n_t2_4,axiom,
    [++q_2_2(X_1,X_2),
     --nq_1(X_1),
     --nq_2(X_2)]).

input_clause(n_1,axiom,
    [++nq_1(a)]).

input_clause(n_2,axiom,
    [++nq_1(b)]).

input_clause(n_3,axiom,
    [++nq_2(a)]).

input_clause(n_4,axiom,
    [++nq_2(b)]).
%--------------------------------------------------------------------------
