%--------------------------------------------------------------------------
% File     : SYN255-1 : TPTP v2.0.0. Released v1.1.0.
% Domain   : Syntactic (Random Prolog Theory)
% Problem  : RPT63 synthetic problem 40 (skewed distribution)
% Version  : [Segre & Elkan, 1994] axioms : Special.
% English  : 

% Refs     : Segre A.M., Elkan C. (1994), A High Performance 
%            Explanation-Based Learning Algorithm, Artificial Intelligence 
%            (69), 1-50.
% Source   : [Segre & Elkan, 1994]
% Names    : - [Segre & Elkan, 1994]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :  369 (   0 non-Horn;  39 unit; 362 RR)
%            Number of literals   : 1060 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   48 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   5 constant; 0-0 arity)
%            Number of variables  :  626 ( 160 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : This theory has a finite deductive closure.
%--------------------------------------------------------------------------
%----Include Synthetic domain theory for EBL 
include('Axioms/SYN001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_this,conjecture,
    [--n2(a)]).
%--------------------------------------------------------------------------
