%--------------------------------------------------------------------------
% File     : SYN304-1 : TPTP v2.0.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Special.
% English  : 

% Refs     : Bourely C., Caferra R., Peltier N. (1994), A Method for
%            Building Models Automatically. Experiments with an extension
%            of Otter, In Bundy A. (Ed), Proceedings of the 12th
%            International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 814),
%            Springer-Verlag, New York, USA, 72-86.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York, 
%            USA.
% Source   : [Bourely, et al., 1984]
% Names    : Example 2 [Bourely, et al., 1984]
%            EXAMPLE 7.8 [Fermueller, et al., 1993]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   1 non-Horn;   6 unit;   6 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    4 (   2 constant; 0-1 arity)
%            Number of variables  :    5 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++r(f(X),g(X),X),
     --p(X,f(X))]).

input_clause(clause2,conjecture,
    [++p(a,X)]).

input_clause(clause3,conjecture,
    [++r(f(a),g(a),a)]).

input_clause(clause4,conjecture,
    [++s(f(X),X,X),
     ++l(X)]).

input_clause(clause5,conjecture,
    [--s(f(X),X,a)]).

input_clause(clause6,conjecture,
    [--s(f(X),X,b)]).

input_clause(clause7,conjecture,
    [++l(a)]).

input_clause(clause8,conjecture,
    [++l(b)]).
%--------------------------------------------------------------------------
