%--------------------------------------------------------------------------
% File     : SYN318+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.2 (4)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.2 (4) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    6 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    5 (   0 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   1 propositional; 0-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   0 singleton;   2 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : The free variable is existentially quantified. Based on CNF.
%--------------------------------------------------------------------------
input_formula(church_46_2_4,conjecture,(
    ? [Y] : 
      ( ! [X] : 
          ( big_f(X)
         => ( big_f(Y)
           => big_g(X) ) )
     => ( p
       => ! [X] : 
            ( big_f(X)
           => big_g(Y) ) ) )   )).
%--------------------------------------------------------------------------
