%--------------------------------------------------------------------------
% File     : SYN327+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.12 (2)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.12 (2) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    7 (   0 equality)
%            Maximal formula depth :    9 (   9 average)
%            Number of connectives :    7 (   1 ~  ;   0  |;   2  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   0 singleton;   2 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_12_2,conjecture,(
    ! [X] : 
    ? [Y] : 
    ! [Z] : 
      ( big_f(Y,X)
     => ( ( big_f(X,Z)
         => big_f(X,Y) )
        & ( big_f(X,Y)
         => ( ~ big_f(X,Z)
           => ( big_f(Y,X)
              & big_f(Z,Y) ) ) ) ) )   )).
%--------------------------------------------------------------------------
