%--------------------------------------------------------------------------
% File     : SYN328+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.12 (3)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.12 (3) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   13 (   0 equality)
%            Maximal formula depth :    9 (   9 average)
%            Number of connectives :   12 (   0 ~  ;   0  |;   2  &)
%                                         (   3 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    3 (   0 singleton;   2 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_12_3,conjecture,(
    ? [X] : 
    ! [Y,Z] : 
      ( ( ( big_f(Y)
         => big_g(Y) )
      <=> big_f(X) )
     => ( ( ( big_f(Y)
           => big_h(Y) )
        <=> big_g(X) )
       => ( ( ( ( big_f(Y)
               => big_g(Y) )
             => big_h(Y) )
          <=> big_h(X) )
         => ( big_f(Z)
            & big_g(Z)
            & big_h(Z) ) ) ) )   )).
%--------------------------------------------------------------------------
