%--------------------------------------------------------------------------
% File     : SYN337+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (2)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.15 (2) [Church, 1956]

% Status   : satisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    5 (   0 equality)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    4 (   0 ~  ;   1  |;   0  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    4 (   0 singleton;   3 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_15_2,conjecture,(
    ! [X1,X2] : 
    ? [Y] : 
    ! [Z] : 
      ( big_f(X1,Y)
     => ( big_f(Z,X1)
       => ( big_f(Z,Y)
         => ( big_f(X2,Y)
            | big_f(X2,Z) ) ) ) )   )).
%--------------------------------------------------------------------------
