%--------------------------------------------------------------------------
% File     : SYN347+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.17 (3)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.17 (3) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    5 (   0 equality)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    4 (   0 ~  ;   1  |;   0  &)
%                                         (   3 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   2 singleton;   1 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : In [Church, 1956] the variables Z1 and Z2 are not quantified.
%            I have assumed universal quantification.
%--------------------------------------------------------------------------
input_formula(church_46_17_3,conjecture,(
    ! [Z1,Z2] :
    ? [X1,X2] : 
    ! [Y] : 
      ( ( ( big_f(X1,Y)
        <=> big_f(X2,Y) )
      <=> big_f(Z1,Z2) )
      | ( big_f(Z1,Y)
      <=> big_f(Z2,Y) ) )   )).
%--------------------------------------------------------------------------
