%--------------------------------------------------------------------------
% File     : SYN351+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (3)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.18 (3) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    9 (   0 equality)
%            Maximal formula depth :   10 (  10 average)
%            Number of connectives :    8 (   0 ~  ;   0  |;   1  &)
%                                         (   2 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 4-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   1 singleton;   3 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_18_3,conjecture,(
    ! [X1,X2] : 
    ? [Y1,Y2] : 
    ! [Z] : 
      ( big_f(X1,Y2,X1,Z)
     => ( ( big_f(X1,Y1,X1,Y2)
        <=> big_f(Y1,X2,Y1,Y2) )
       => ( big_f(X1,Y1,X1,Y2)
         => ( ( big_f(X1,Y2,Y1,Y2)
             => big_f(X1,Z,Y1,Z) )
            & ( big_f(X1,Z,Y1,Z)
             => ( big_f(X1,Y1,X1,Y2)
              <=> big_f(X1,Y2,Y1,Y2) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
