%--------------------------------------------------------------------------
% File     : SYN353+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (5)
% Version  : Special.
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
% Source   : [Church, 1956]
% Names    : 46.18 (5) [Church, 1956]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :   20 (   0 equality)
%            Maximal formula depth :   12 (  12 average)
%            Number of connectives :   20 (   1 ~  ;   1  |;   4  &)
%                                         (   4 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   0 singleton;   2 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(church_46_18_5,conjecture,(
    ! [X] : 
    ? [Y1,Y2,Y3] : 
    ! [Z] : 
      ( ( big_f(Y1,Y2,Y3)
       => ( big_f(X,X,Z)
         => ( big_f(Y2,Y3,Y1)
            | big_f(Y3,Y1,Y2) ) ) )
     => ( ( ( big_f(Y3,Y1,Y2)
           => ( big_f(Y1,Y2,Y3)
              & big_f(Y2,Y3,Y1) ) )
        <=> big_f(Y2,Y1,Z) )
       => ( ( ( big_f(Y2,Y3,Y1)
             => ( big_f(Y1,Y2,Y3)
                & big_f(Y3,Y1,Y2) ) )
          <=> big_f(Y1,Z,Y2) )
         => ( ( ( ( big_f(Y3,Y1,Y2)
                 => ~ big_f(Y2,Y3,Y1) )
               => big_f(Y1,Y2,Y3) )
            <=> big_f(Z,Y2,Y1) )
           => ( ( big_f(Y1,Y2,Y3)
                & big_f(Y2,Y3,Y1)
                & big_f(Y3,Y1,Y2) )
            <=> big_f(Z,Z,Z) ) ) ) ) )   )).
%--------------------------------------------------------------------------
