%--------------------------------------------------------------------------
% File     : SYN388+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions.
% Version  : Special.
%            Theorem formulation : 1 proposition.
% English  : 7: Expanded Law of Excluded Middle. The strategies of the
%               original Logic Theorist cannot prove this.

% Refs     : Newell A. and Simon H. (1972), Human Problem Solving, 
%            Prentice-Hall, Englewood Cliffs, NJ.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 7 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    2 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    4 (   3 ~  ;   1  |;   0  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   1 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : The clausal form of this problem is the same as SYN001+1.p.
%--------------------------------------------------------------------------
input_formula(pel7,conjecture,(
    p
  | ~ ~ ~ p   )).
%--------------------------------------------------------------------------
