%--------------------------------------------------------------------------
% File     : SYN393+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : All signed combinations of some propositions
% Version  : Special.
%            Theorem formulation : 3 propositions.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1982), Completely non-clausal, completely
%            heuristically driven automatic theorem proving, Technical
%            Report TR82-7, Department of Computer Science, Edmonton,
%            Alberta.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe.
% Source   : [Haehnle, 1994]
% Names    : Pelletier 12 [Pelletier, 1986]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    6 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    5 (   0 ~  ;   0  |;   0  &)
%                                         (   5 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   3 propositional; 0-0 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    0 (   0 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(pel12,conjecture,(
    ( ( p1
    <=> p2 )
  <=> p3 )
<=> ( p1
  <=> ( p2
    <=> p3 ) )   )).
%--------------------------------------------------------------------------
