%--------------------------------------------------------------------------
% File     : SYN401+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Kalish and Montague Problem 229
% Version  : Special.
% English  : Laws of vacuous quantification.

% Refs     : Kalish D., Montague R. (1964), Logic Techniques of Formal 
%            Reasoning, Harcourt, Brace & World Publisher.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe
% Source   : [Haehnle, 1994]
% Names    : kalish229 [Haehnle, 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    2 (   0 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    1 (   0 ~  ;   0  |;   0  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   2 singleton;   2 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(kalish229,conjecture,(
    ! [X] : 
      ( ! [Y] : f(Y)
     => f(X) )   )).
%--------------------------------------------------------------------------
