%--------------------------------------------------------------------------
% File     : SYN411+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Kalish and Montague Problem 250
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montague R. (1964), Logic Techniques of Formal 
%            Reasoning, Harcourt, Brace & World Publisher.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe
% Source   : [Haehnle, 1994]
% Names    : kalish250 [Haehnle, 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    2 (   0 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    3 (   2 ~  ;   0  |;   0  &)
%                                         (   1 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    6 (   6 singleton;   3 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(kalish250,conjecture,(
    ! [X,Y,Z] : f(X,Y,Z)
<=> ~ ( ? [U,V,W] : ~ f(U,V,W) )   )).
%--------------------------------------------------------------------------
