%--------------------------------------------------------------------------
% File     : SYN413+1 : TPTP v2.0.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Kalish and Montague Problem 256
% Version  : Special.
% English  : 

% Refs     : Kalish D., Montague R. (1964), Logic Techniques of Formal 
%            Reasoning, Harcourt, Brace & World Publisher.
%          : Haehnle R. (1994), Email to Geoff Sutcliffe
% Source   : [Haehnle, 1994]
% Names    : kalish256 [Haehnle, 1994]

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    4 (   0 equality)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    5 (   2 ~  ;   0  |;   1  &)
%                                         (   1 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   4 singleton;   3 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(kalish256,conjecture,(
    ! [Z] : 
    ? [Y] : 
    ! [X] : 
      ( f(X,Y)
    <=> ( f(X,Z)
        & ~ f(X,X) ) )
 => ~ ( ? [V] : 
        ! [U] : f(U,V) )   )).
%--------------------------------------------------------------------------
