%--------------------------------------------------------------------------
% File     : TOP009-1 : TPTP v2.0.0. Released v1.0.0.
% Domain   : Topology
% Problem  : If Y is open in X, and A is open in Y, then A is open in X
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about 
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255.
% Source   : [Wick & McCune, 1989]
% Names    : Problem 4 [Wick & McCune, 1989]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  112 (  23 non-Horn;   3 unit; 107 RR)
%            Number of literals   :  339 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   39 (   5 constant; 0-5 arity)
%            Number of variables  :  357 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_4_120,conjecture,
    [++open(cy,cx,ct)]).

input_clause(problem_4_121,conjecture,
    [++open(a,cy,subspace_topology(cx,ct,cy))]).

input_clause(problem_4_122,conjecture,
    [--open(a,cx,ct)]).
%--------------------------------------------------------------------------
